flext_base::AttrData Class Reference

Represent a data value of an attribute. More...

`#include <flclass.h>`

Inheritance diagram for flext_base::AttrData:

## Public Types

enum | { afl_save = 0x01, afl_init = 0x02, afl_inited = 0x04 }

## Public Member Functions

| AttrData ()
void | SetSave (bool s)
bool | IsSaved () const
void | SetInit (bool s)
bool | IsInit () const
void | SetInitValue (int argc, const t_atom *argv)
void | SetInitValue (const AtomList &l)
bool | IsInitValue () const
const AtomList & | GetInitValue () const

## Public Attributes

AtomList | init
int | flags

## Detailed Description

Represent a data value of an attribute.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
afl_save |
afl_init |
afl_inited |

## Constructor & Destructor Documentation

## AttrData()

flext_base::AttrData::AttrData | ( |  | ) |

inline

## Member Function Documentation

## GetInitValue()

const AtomList& flext_base::AttrData::GetInitValue | ( |  | ) | const

inline

## IsInit()

bool flext_base::AttrData::IsInit | ( |  | ) | const

inline

## IsInitValue()

bool flext_base::AttrData::IsInitValue | ( |  | ) | const

inline

## IsSaved()

bool flext_base::AttrData::IsSaved | ( |  | ) | const

inline

## SetInit()

void flext_base::AttrData::SetInit | ( | bool | s | ) |

inline

## SetInitValue() [1/2]

void flext_base::AttrData::SetInitValue | ( | int | argc,
|  | const t_atom * | argv
| ) |  |

inline

## SetInitValue() [2/2]

void flext_base::AttrData::SetInitValue | ( | const AtomList & | l | ) |

inline

## SetSave()

void flext_base::AttrData::SetSave | ( | bool | s | ) |

inline

## Member Data Documentation

## flags

int flext_base::AttrData::flags

## init

AtomList flext_base::AttrData::init

The documentation for this class was generated from the following file:

- /build/pd-flext-jyLjBY/pd-flext-0.6.0+git20161101.1.01318a94/source/flclass.h